#pragma once

#include <library/cpp/http/simple/http_client.h>

#include <util/generic/strbuf.h>
#include <util/generic/yexception.h>

class IOutputStream;

namespace NSaas {

    void DoHttpGetRequest(const TString& host, ui32 port, const TStringBuf& relativeUrl, IOutputStream* output);

    void DoHttpPostRequest(const TString& host, ui32 port, const TStringBuf& relativeUrl, const TStringBuf& body,
        IOutputStream* output);

    void DoDownloadFileViaHttp(const TString& url, const TString& destinationPath);
}
